SASL_GETPATH_T(3)

NAME
sasl_getpath_t - Cyrus SASL documentation

SYNOPSIS

#include <sasl/sasl.h>
int sasl_getpath_t(void *context,
                  char ** path);

DESCRIPTION

int sasl_getpath_t(void *context, char **path);
    sasl_getpath_t() is used if the application wishes to use a different location for the SASL mechanism drivers (the shared library files). If this callback is not used SASL will either use the location in the environment variable SASL_PATH or /usr/lib/sasl2 by default.

RETURN VALUE

SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

Other return codes indicate errors and should be handled.

SEE ALSO

RFC 4422,:saslman:sasl(3), sasl_callbacks(3)

AUTHOR
The Cyrus Team

COPYRIGHT
1993-2016, The Cyrus Team